#!/bin/sh

# This script check if the xournal configuration files are still present
# in the /home/root folder on the internal flash and moves them to the
# SD-card. This is needed for xournal-dr-0.5 and higher


$ZENITY --question --title "Xournal" --text "<b>Copy Config</b>\n\nDo you want to move the old config settings?"
if [ $? -eq 0 ]; then
	# Check if config directory exists
	if [ ! -d /media/mmcblk0p1/Programs/_config ]
	then
		/bin/mkdir /media/mmcblk0p1/Programs/_config
	fi

	# copy config data from internal flash to SD-card
	if [ ! -d /media/mmcblk0p1/Programs/_config/.xournal ]
	then
		if [ -d /home/root/.xournal ]
		then
			cp -r /home/root/.xournal/ /media/mmcblk0p1/Programs/_config/
			# and remove version from internal flash
			rm -rf /home/root/.xournal
		fi
		
	fi
fi
