#!/bin/sh
THISDIR=/media/mmcblk0p1/Programs/_xournal
PROGRAMS=/media/mmcblk0p1/Programs
MTAG=/media/mmcblk0p1/Programs/_mackxpatch/bin/mtag
ZENITY=/media/mmcblk0p1/Programs/_base/bin/zenity

cd /media/mmcblk0p1/Programs/_install

# Mark files with correct tags for dr1000 hacks (only if mackxpatch is installed)
if [ -e $MTAG ]
then
	# Mark the desktop file as Installer so it will show up in the installer view
	# When using this tool the syntax is: 
	# mtag     [file]                            [title]               [author] [tag]
	$MTAG $PROGRAMS/Install/copyXournalConfig.desktop 'Xournal Copy old Config' Mackx install
	$MTAG $PROGRAMS/Install/installXournalExtensions.desktop 'Xournal Install' Mackx install
	$MTAG $PROGRAMS/Help/xournalmanual.desktop 'Xournal Help' Mackx help
	$MTAG $PROGRAMS/xournal.desktop 'Xournal' Mackx application
	# Valid tags, used by this hack are: application, fav1, install and xournal.
	# see also _mackxpatch/schemas
fi

$ZENITY --question --title "Xournal" --text "<b>Install Schema</b>\n\nDo you want to install xournal schemas (only needed for first install)?"
if [ $? -eq 0 ]; then
	# Adapt gconf to bind xoj files with xournal using the xournal.schemas file
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	/bin/cp -f ./xournal.schemas /etc/gconf/schemas/xournal.schemas
	gconftool-2 --makefile-install-rule /etc/gconf/schemas/xournal.schemas

	# If the schema was already installed make sure it gets the correct value
	gconftool-2 --type list --list-type=string --set /apps/er/sys/ctb/filetypes/doc-xoj/extensions "[xoj]"
	gconftool-2 --type string --set /apps/er/sys/ctb/filetypes/doc-xoj/icon_name "xournal"
	gconftool-2 --type string --set /apps/er/sys/ctb/filetypes/doc-xoj/viewer_cmd "/media/mmcblk0p1/Programs/_xournal/bin/xournal"

	# Create Backup of dr.ini
	/bin/cp -f /media/mmcblk0p1/System/dr.ini /media/mmcblk0p1/System/dr.xoj.ini
	# and save the settings to disk
	/usr/bin/erconftool -e /apps/er

	# Copy the xoj-filetype icons, they need to be in the usr/share/ctb directory
	/bin/cp -f ./icon-xournal-medium.png /usr/share/ctb/icon-xournal-medium.png
	/bin/cp -f ./icon-xournal-mini.png /usr/share/ctb/icon-xournal-mini.png
	/bin/cp -f ./icon-xournal-small.png /usr/share/ctb/icon-xournal-small.png
	/bin/chmod a-x /usr/share/ctb/icon-xournal-*

	# A reboot is needed to make sure that the new settings are used
	$ZENITY --info --title "Xournal" --text "<b>Schema Installed</b>\n\nPress ok to reboot"
	/sbin/reboot
	sleep 31
fi

# TODO: uninstall